Last Comment Bug 761028 - Remove remaining references to Mozilla Messaging as a company name and update some more mozillamessaging.com links
: Remove remaining references to Mozilla Messaging as a company name and update...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 14:19 PDT by Mark Banner (:standard8)
Modified: 2012-08-14 01:31 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed
14+
fixed


Attachments
patch (18.51 KB, patch)
2012-06-09 11:59 PDT, :aceman
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr10+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-06-03 14:19:22 PDT
There are still a couple of references to Mozilla Messaging in executables:

http://mxr.mozilla.org/comm-central/search?string=Mozilla+Messaging

The ones in module.ver & branding.nsi need updating to match the same as in the equivalent files in Firefox.

We also should fix some more urls to point direct to mozilla.org rather than mozillamessaging.org:

http://mxr.mozilla.org/comm-central/search?string=www.mozillamessaging&find=&findi=&filter=^[^\0]*%24&hitlimit=&tree=comm-central
Comment 1 :aceman 2012-06-04 01:43:46 PDT
In the files not described in comment 0, what should "Mozilla Messaging" be changed to?
Comment 2 Mark Banner (:standard8) 2012-06-05 04:03:52 PDT
For accountCreation.properties make it Mozilla Corporation. For the KEY file, we can just remove that whole file, I don't think we need to keep it there.
Comment 3 :aceman 2012-06-09 11:59:38 PDT
Created attachment 631685 [details] [diff] [review]
patch
Comment 4 Mark Banner (:standard8) 2012-06-12 00:03:50 PDT
Comment on attachment 631685 [details] [diff] [review]
patch

Looks great, thanks!
Comment 5 Mark Banner (:standard8) 2012-06-12 00:12:01 PDT
Checked in:

https://hg.mozilla.org/comm-central/rev/26ae99d43de4
Comment 6 Mark Banner (:standard8) 2012-06-12 00:12:50 PDT
Comment on attachment 631685 [details] [diff] [review]
patch

[Triage Comment]
We also want this for the next release, so I'm going to accelerate it onto aurora and beta. I'll land it later with some other bugs.
Comment 8 Mark Banner (:standard8) 2012-07-13 09:13:09 PDT
Comment on attachment 631685 [details] [diff] [review]
patch

[Triage Comment]
This has been on trunk for a while and we should update for ESR as well.
Comment 9 Ludovic Hirlimann [:Usul] 2012-08-14 01:00:47 PDT
Did it land on ESR ?
Comment 10 Mark Banner (:standard8) 2012-08-14 01:31:33 PDT
Thanks, yes it did:

http://hg.mozilla.org/releases/comm-esr10/rev/13525e024a31

Note You need to log in before you can comment on or make changes to this bug.